Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 819453 - media-sound/hydrogen-1.1.0 constant high pitch noise after first note played
Summary: media-sound/hydrogen-1.1.0 constant high pitch noise after first note played
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://github.com/hydrogen-music/hyd...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-22 10:24 UTC by Maciek Józiewicz
Modified: 2022-01-06 07:49 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
output from emerge --info (emerge-info_2021-10-22,7.93 KB, text/plain)
2021-10-22 10:24 UTC, Maciek Józiewicz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciek Józiewicz 2021-10-22 10:24:51 UTC
Created attachment 746109 [details]
output from emerge --info

TLDR; media-sound/hydrogen-1.0.2 got removed from Portage way too fast

I haven't yet found anyone complaining of that issue, so I strongly suspect it is not an upstream issue.

In Hydrogen 1.1.0 I can hear the single first note played and then a constant high-pitched noise starts. Never stops, need to close Hydrogen, but it's responsive and otherwise works fine. 

The level of the noise builds up as you play more notes and each "loudness step" seems proportionate to how high the sustain knob value is.

It works the same even if no audio output is connected. The mixer window has a level visualization for all faders. Play a dozen notes and you'll see it build up. Loop a short tune and it fills the red. Better not play that on speakers.

Clearing ~/.hydrogen does not help.

Doesn't matter if it is build with JACK only:
(archive jack ladspa osc -alsa -doc -lash -oss -portaudio -portmidi -pulseaudio)
or all the APIs:
(alsa archive jack ladspa osc portaudio portmidi pulseaudio -doc -lash -oss)
which makes sense, as the "feedback loop" seems internal.

Not sure if it matters, but I use sys-kernel/rt-sources (5.14.2_p21). For latency, so that music stuff is actually usable.

I've used Hydrogen 1.0.2 for a while and that worked just fine. 
After 1.1.0 got stabilized I already encountered the issue, but just downgraded and left for later investigation, as I was also fresh after migration from Pulseaudo+JACK to Pipewire. 
Now I got the newer one in update and cannot even rollback (without pulling the ebuild from git and putting in local overlay, that is).

I've attached my `emerge --info`. 
I doubt it is important, but regarding Pipewire, I now have a pretty clean config from /usr/share/pipewire taken after last update. Only a single line of change, setting `node.latency = 128/48000` for JACK clients.
Comment 1 Maciek Józiewicz 2021-10-22 11:35:41 UTC
Oh, actually there is an upstream bug ( https://github.com/hydrogen-music/hydrogen/issues/1330 ) with fresh todays comments about same behaviour with Hydrogen 1.1.0 and Pipewire 0.3.38 (same versions as mine) in Arch Linux.

Please restore the working version (1.0.2) back into Portage, until this gets resolved.
Comment 2 Larry the Git Cow gentoo-dev 2021-10-24 07:05:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30c121c1dd2b0d8c27ab8e940f115fa1ca977789

commit 30c121c1dd2b0d8c27ab8e940f115fa1ca977789
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2021-10-24 07:04:07 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-10-24 07:05:29 +0000

    Revert "media-sound/hydrogen: removed obsolete 1.0.2"
    
    This reverts commit ba9cfda89c0cd5aaf5a2727d9118363935c2bdb4.
    
    Bug: https://bugs.gentoo.org/819453
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 media-sound/hydrogen/Manifest                      |  1 +
 .../files/hydrogen-1.0.0-gnuinstalldirs.patch      | 29 +++++++
 media-sound/hydrogen/hydrogen-1.0.2.ebuild         | 95 ++++++++++++++++++++++
 3 files changed, 125 insertions(+)
Comment 3 Miroslav Šulc gentoo-dev 2022-01-06 07:49:59 UTC
according to the referenced bug, the issue is in pipewire and it has been fixed in >=0.3.40. as currently our latest stable is 0.3.36, keeping this bug open as we are still affected (unless the fix has been backported).